#!/bin/bash

        # Repositories definition only usable with redpesk OS
        
cat << EOF > /etc/yum.repos.d/redpesk-bsp-renesas-gen3--redpesk-autosd-9-build.repo
[redpesk-bsp-renesas-gen3--redpesk-autosd-9-build]
name=redpesk-bsp-renesas-gen3--redpesk-autosd-9-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/redpesk-bsp-renesas-gen3/redpesk-autosd-9-release/latest/\$basearch/os?token=f92d37e7-dac5-429c-beaf-18bf7a25b8a5_4fc4f7cb-3241-43d1-828b-6acd8935dd3c
priority=1
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF

cat << EOF > /etc/yum.repos.d/redpesk-autosd-9-build.repo
[redpesk-autosd-9-build]
name=redpesk-autosd-9-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/redpesk-autosd-9-release/latest/\$basearch/os
priority=2
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF

cat << EOF > /etc/yum.repos.d/apps--redpesk-autosd-9-build.repo
[apps--redpesk-autosd-9-build]
name=apps--redpesk-autosd-9-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/apps/redpesk-autosd-9-release/latest/\$basearch/os?token=207ba788-7236-4fd6-92f9-39713a16ee36_49cdfa33-3ab9-491b-88ba-0a47a311d83e
priority=3
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF

cat << EOF > /etc/yum.repos.d/baseos--redpesk-autosd-9-build.repo
[baseos--redpesk-autosd-9-build]
name=baseos--redpesk-autosd-9-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/baseos/redpesk-autosd-9-release/latest/\$basearch/os?token=5ac27876-b2d8-418f-8ff2-c91b7fab288a_ea5d86dd-754a-426c-9a9a-2c0770e32ea2
priority=4
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF

cat << EOF > /etc/yum.repos.d/redpesk-toolchain--redpesk-autosd-9-build.repo
[redpesk-toolchain--redpesk-autosd-9-build]
name=redpesk-toolchain--redpesk-autosd-9-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/redpesk-toolchain/redpesk-autosd-9-release/latest/\$basearch/os?token=bcc8220b-b2c1-4b9c-a37f-ed46e54afb6a_e74d7872-dcc4-45c4-b86f-97bce62b2d0a
priority=5
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF

cat << EOF > /etc/yum.repos.d/redpesk-third-party--redpesk-autosd-9-build.repo
[redpesk-third-party--redpesk-autosd-9-build]
name=redpesk-third-party--redpesk-autosd-9-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/redpesk-third-party/redpesk-autosd-9-release/latest/\$basearch/os?token=eb25a01f-a42f-4dfc-9904-32399e2715ab_ba5ca0fa-8d31-49cc-b66d-796a361c41ff
priority=6
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF

cat << EOF > /etc/yum.repos.d/redpesk-core--redpesk-autosd-9-build.repo
[redpesk-core--redpesk-autosd-9-build]
name=redpesk-core--redpesk-autosd-9-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/redpesk-core/redpesk-autosd-9-release/latest/\$basearch/os?token=367d45de-f59a-4265-829f-17f4191d0efe_558f5a56-64db-4263-99fd-11a47e4a34d4
priority=7
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF

cat << EOF > /etc/yum.repos.d/redpesk-common--redpesk-autosd-9-build.repo
[redpesk-common--redpesk-autosd-9-build]
name=redpesk-common--redpesk-autosd-9-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/redpesk-common/redpesk-autosd-9-release/latest/\$basearch/os?token=9460fa02-595a-4e3e-ad07-baae287e03e1_51269e61-6f54-4d24-8627-f3d94f5d99de
priority=8
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF

cat << EOF > /etc/yum.repos.d/redpesk-core--redpesk-autosd-9-build.repo
[redpesk-core--redpesk-autosd-9-build]
name=redpesk-core--redpesk-autosd-9-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/redpesk-core/redpesk-autosd-9-release/latest/\$basearch/os?token=367d45de-f59a-4265-829f-17f4191d0efe_558f5a56-64db-4263-99fd-11a47e4a34d4
priority=4
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF

cat << EOF > /etc/yum.repos.d/redpesk-devtools--redpesk-autosd-9-build.repo
[redpesk-devtools--redpesk-autosd-9-build]
name=redpesk-devtools--redpesk-autosd-9-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/redpesk-devtools/redpesk-autosd-9-release/latest/\$basearch/os?token=147ff480-c3a6-4737-8e44-71d67c91996a_cdbb86a6-71ec-4418-9529-157d00426e81
priority=5
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF

cat << EOF > /etc/yum.repos.d/redpesk-devtools--redpesk-autosd-9-build.repo
[redpesk-devtools--redpesk-autosd-9-build]
name=redpesk-devtools--redpesk-autosd-9-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/redpesk-devtools/redpesk-autosd-9-release/latest/\$basearch/os?token=147ff480-c3a6-4737-8e44-71d67c91996a_cdbb86a6-71ec-4418-9529-157d00426e81
priority=11
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF

cat << EOF > /etc/yum.repos.d/import-epel9-build.repo
[import-epel9-build]
name=import-epel9-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/import-epel9-release/latest/\$basearch/os
priority=52
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF

cat << EOF > /etc/yum.repos.d/import-autosd-9-build.repo
[import-autosd-9-build]
name=import-autosd-9-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/import-autosd-9-release/latest/\$basearch/os
priority=53
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF

cat << EOF > /etc/yum.repos.d/import-centos9s-build.repo
[import-centos9s-build]
name=import-centos9s-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/import-centos9s-release/latest/\$basearch/os
priority=12
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF

cat << EOF > /etc/yum.repos.d/redpesk-config-build.repo
[redpesk-config-build]
name=redpesk-config-build
baseurl=%REDPESK_DOWNLOAD_URL%/%DIR_STAGING%/redpesk-config-release/latest/\$basearch/os
priority=62
module_hotfixes=1
skip_if_unavailable=True
enabled=1
gpgcheck=0
EOF
